Installing MPLAB X 1.6 on Debian wheezy

The installation instructions for MPLAB X are rather sparse. They only say “it requires 32-bit compatibility libraries”. Assuming you already have Java installed (which I did, because I had installed Eclipse before). Prior to wheezy, all you need to do was install ia32-libs. Now, after the upgrade to “multiarch” you should:

dpkg --add-architecture i386
apt-get update
apt-get install ia32-libs-i386

Now you can install MPLAB X.

Update: Microchip’s blog says you can do it like this. I haven’t tried, so YMMV.

 

Leave a Reply

Your email address will not be published. Required fields are marked *